%global appname csnaketerm
%global version 0.2.0

Name:           %{appname}
Version:        %{version}
Release:        3%{?dist}
Summary:        The classic Snake game, right in your terminal

License:        GPLv3+
URL:            https://github.com/DonaldKellett/%{appname}
Source0:        https://github.com/DonaldKellett/%{appname}/archive/refs/tags/v%{version}.tar.gz

Requires:       nodejs
BuildArch:      noarch

%description
The classic Snake game, right in your terminal. Play the game in an 80x24
terminal for an optimal experience, though larger terminal dimensions will
also do.

%prep
%autosetup

%install
mkdir -p %{buildroot}/%{_bindir}
cp %{appname} %{buildroot}/%{_bindir}/%{appname}
mkdir -p %{buildroot}/%{_mandir}/man6
cp %{appname}.6 %{buildroot}/%{_mandir}/man6/%{appname}.6

%files
%{_bindir}/%{appname}
%{_mandir}/man6/%{appname}.6.gz

%changelog
* Sat Jul 10 2021 Donald Sebastian Leung - 0.2.0-3
- Build for CentOS and openSUSE as well
